## hildon-home-webshortcut 2.0.1-1

=== debian/changelog ===
hildon-home-webshortcut (1:2.0.1-1) sardine; urgency=low

  * plugin/hhws-background.c
  - (hhws_background_cancel): actually cancel the DBus method call
  - (hhws_background_class_{init,finalize): have the proxy
  as class variable.
  * plugin/hildon-home-webshortcut.c:
  - keep a pointer to the last set background
  - (hhws_destroy): cancel all ongoing background setting.
  Fixes: NB#73353

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Oct 2007 16:17:26 +0300

hildon-home-webshortcut (1:2.0.0-1) sardine; urgency=low

  * plugin/hws-background.c: Cache the background if located
  on second MMC.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 01 Oct 2007 20:04:13 +0300

hildon-home-webshortcut (1:1.9.99-1) sardine; urgency=low

  * plugin/hildon-home-webshortcut.c:
  - removed unnecessary button-press handler
  - if the button-release event happened on another window than
  our own, ignore
  - if the button-release event happened outside our allocation,
  ignore.
  Fixes: NB#69825

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 28 Sep 2007 16:42:57 +0300

hildon-home-webshortcut (1:1.9.9-1) sardine; urgency=low

  * plugin/hws-background.c: the cache entry in gconf
  is not mandatory.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 17 Sep 2007 10:51:02 +0300

hildon-home-webshortcut (1:1.9.8-1) sardine; urgency=low

  * updated dependencies on hildon-desktop

  * plugin/hildon-home-webshortcut.c: chain _destroy
  to the parent class

  * plugin/hildon-home-webshortcut.c: if during the first load
  the file is not found, silently revert to the default image.
  Fixes: NB#68762

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 13 Sep 2007 15:59:58 +0300

hildon-home-webshortcut (1:1.9.7-1) sardine; urgency=low

  * plugin/hws-background.c:
  - ported to new background-manager API
  - create the picture on client side and pass it to background-manager
  for drawing

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 10 Sep 2007 10:19:46 +0300

hildon-home-webshortcut (1:1.9.6-1) sardine; urgency=low

  * plugin/hildon-home-webshortcut.c: handle the file being
  removed after selecting error. Fixes: NB#66226

  * plugin/hildon-home-webshortcut.c:
  - if no action is returned from hildon-uri, display the
  invalid URI banner.
  Fixes: NB#48685

  * plugin/hhws-background.c: more safety tests in case it's not
  possible to retrieve image filename from gconf.

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 31 Aug 2007 15:49:54 +0300

hildon-home-webshortcut (1:1.9.5-1) sardine; urgency=low

  * plugin/hildon-home-webshortcut.c:
  - hildon-desktop code style
  - added missing error cases
  - set the currently set image when saving

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  6 Aug 2007 19:35:52 +0300

hildon-home-webshortcut (1:1.9.4-2) sardine; urgency=low

  * Fixed epoch in dependency to libhildondesktop-dev

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 31 Jul 2007 12:53:48 +0300

hildon-home-webshortcut (1:1.9.4-1) sardine; urgency=low

  * updated build-dep on libhildondesktop-dev
  * added dependency on hildon-desktop

  * plugin/hildon-home-webshortcut.c:
  - added _set_uri
  - use hildon_uri to check if the uri is valid.
  Fixes: NB#48685

  * plugin/hildon-home-webshortcut.c:
  - fixed expose event, use the offsets in case of double buffering
  * plugin/hildon-home-webshortcut.h:
  - removed wrong include

  * plugin/hhws-background.[ch]:
  - inherit from HildonDesktopBackground
  - implement save/load with gconf
  - implement apply with the background manager
  * plugin/hildon-home-webshortcut.c:
  - use a HHWSBackground to load the picture (via
  the background manager).
  Fixes: NB#62469, NB#61206, NB#20497, NB#49229

  * plugin/hhws-l10n.h: use the strings provided by Home
  when available. Fixes: NB#61208

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 27 Jul 2007 16:54:03 +0300

hildon-home-webshortcut (1:1.9.3-1) sardine; urgency=low

  * plugin/hildon-home-webshortcut.c:
  - do not launch the browser if the stylus moved by more than 15px

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  5 Jun 2007 17:13:31 +0300

hildon-home-webshortcut (1:1.9.2-1) sardine; urgency=low

  * plugin/hhwsloader.c:
  - track errors on gdk_pixbuf_loader_close, which allows to detect
  troncated images
  - treat GDK_PIXBUF_ERROR_FAILED as corrupted images

  * plugin/hildon-home-webshortcut.c:
  - add file dialog filter back, removed by accident

  * plugin/hildon-home-webshortcut.c:
  - made non-resizable
  - changed size
  - added _expose handler to avoid using a GtkFrame

  * debian/copyright: changed copyright holder from "Nokia Oyj" to
  "Nokia Corporation".

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 28 May 2007 17:58:59 +0300

hildon-home-webshortcut (1:1.9.1-1) sardine; urgency=low

  * plugin/hildon-home-webshortcut.c: Ported from osso-ic to
  libconic
  Fixes: NB#54077

  * plugin/hildon-home-webshortcut.c: Only launch the URI when
  the user didn't drag the mouse.
  Fixes: NB#56353

  * plugin/hildon-home-webshortcut.c: Pass the object
  instead of its private member to the loader error handler.
  Fixes: NB#55297

 -- Johan Bilien <johan.bilien@nokia.com>  Wed,  9 May 2007 10:44:00 +0300

hildon-home-webshortcut (1:1.9.0-2) unstable; urgency=low

  * Fixed .install file 

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 17:02:13 +0300

hildon-home-webshortcut (1:1.9.0-1) unstable; urgency=low

  * Reverted version to 1.9.0 for coherence with the rest
  of Hildon

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  9 Mar 2007 17:51:30 +0200

hildon-home-webshortcut (3.0.6-1) unstable; urgency=low

  * plugin/hildon-home-webshortcut.c:
  - show the alignment so the image get shown too

  * plugin/hildon-home-webshortcut.c:
  - added resize type and minimum size

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Mar 2007 17:29:08 +0200

hildon-home-webshortcut (3.0.5-1) unstable; urgency=low

  * plugin/hildon-home-webshort.h: Fixed typo


