## hildon-home-webshortcut 2.0.2-1

=== debian/changelog ===
hildon-home-webshortcut (1:2.0.2-1) sardine; urgency=low

  * plugin/hildon-home-webshortcut.c: fix unterminated g_object_set.
  Fixes: NB#76792

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 26 Nov 2007 10:56:33 +0200
